Bug 18164 - put kgcc in /usr/src/linux/Makefile FAILS
Summary: put kgcc in /usr/src/linux/Makefile FAILS
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-03 01:51 UTC by Need Real Name
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-03 01:51:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2000-10-03 01:51:19 UTC
Was reported here that by using this kgcc in /usr/src/linux/Makefile
        HOSTCC = gcc
  is the solution for the error

...
cc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2
-fomit-fr
ame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce -m486
-malign-loops=
2 -malign-jumps=2 -malign-functions=2 -DCPU=686   -c -o extable.o extable.c
rm -f mm.o
ld -m elf_i386  -r -o mm.o init.o fault.o ioremap.o extable.o
make[2]: Leaving directory `/usr/src/linux/arch/i386/mm'
make[1]: Leaving directory `/usr/src/linux/arch/i386/mm'
make -C  arch/i386/lib
make[1]: Entering directory `/usr/src/linux/arch/i386/lib'
make all_targets
make[2]: Entering directory `/usr/src/linux/arch/i386/lib'
cc -D__KERNEL__ -I/usr/src/linux/include -D__ASSEMBLY__  -traditional -c
checksu
m.S -o checksum.o
checksum.S:231: badly punctuated parameter list in #define
checksum.S:237: badly punctuated parameter list in #define
make[2]: *** [checksum.o] Error 1
make[2]: Leaving directory `/usr/src/linux/arch/i386/lib'
make[1]: *** [first_rule] Error 2
make[1]: Leaving directory `/usr/src/linux/arch/i386/lib'
make: *** [_dir_arch/i386/lib] Error 2

I did this in a fresh new sources tree of 2.2.17 and 2.2.18-pre14 and the
  error was the same...

How about a downgrade of gcc ?

Comment 1 Trond Eivind Glomsrxd 2000-10-03 02:58:02 UTC
Just set CC to kgcc, like this

export CC=kgcc
make dep clean bzImage ...



Comment 2 Harvey Modlin 2000-10-05 08:05:03 UTC
Well, I get the same error msg and as a result get no bzImage -- with or 
without the "export CC=kgcc" before the make.

Comment 3 Harvey Modlin 2000-10-05 09:04:31 UTC
Aha. Found the problem! I really did forget to do the 'make mrproper' first! So 
with makr mrproper and 'export CC=kgcc', the kernel compiled just fine (thank 
you!) and the outcome was the bzImage file I wanted. Yippee! Thanks again.


Note You need to log in before you can comment on or make changes to this bug.